Subject: Re: That whole "Linux stealing our code" thing

From: Casey Dahlin <[email-masked]>
Date: Sat, 01 Sep 2007 21:58:26 -0400

Suppose you saw some other variant of *nix that had some code you wanted 
to use, but there was a gaping security hole in it. Wouldn't you patch 
it before you incorporated it? and would it be your fault if this fix 
made the code not work with the original?

We took the code and fixed a gaping security vulnerability that appeared 
within the opening comment. We DO care who does what with our code, and 
we fully intend to cover our balls.

The problem is yours to fix. If you actually care, use a license that 
SAYS you care. Right now there's a big /* I don't give a shit */ on top 
of every BSD file. We took you at your word and assumed you didn't. Now 
its too late and you suddenly care, don't you?